<?
if(isset($_GET['in']))
{
if(isset($mc))
{
if($ku['goscomp']==0)
{
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '".intval($_GET['select'])."'"),0)!=0)
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '".intval($_GET['select'])."'"));
$cena=20;
if(isset($_GET['ok']))
{
if($ku['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$cena)."', `goscomp` = '1', `goscomp_plant` = '$plant[id]', `goscomp_time` = '$time' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Вы успешно добавлены в список участников!';
header("Location:?comp");
exit;
}
else no_rubies($cena-$ku['rubies']);
}
podtv("?comp&in&select=$plant[id]&ok","?comp&in");
include_once 'inc/foot.php';
}

echo "<div class='event'><h1><a href='?comp'>Госконкурс</a> / Принять участие</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_plant` ORDER BY `level` ASC LIMIT $start, 10");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'><div><img width='16' height='16' src='images/icons/tomato.png' alt='o'> <a href='?comp&in&select=$post[id]'>".hsc($post['name'])."</a></div></li>";
}
if ($k_page>1)str("?comp&in&",$k_page,$page); // Вывод страниц
echo "<div class='pt minor'>Стоимость участия - <img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>20</span> рубинов</div>";
echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';


}
else err_game("Вы уже находитесь в списке участников.");
}
else err_game("Для начала вступите в колхоз.");
}
?>

<div class="event"><h1>Госконкурс</h1></div>
<div class="content">
<div class="block">
<h3>Что это такое?</h3>
<div><span class='epic'>Госконкурс</span> позволит вам выиграть <span>рубины</span> с помощю вашей интуиции и фортуны! Смысл в том, что вы выбираете то или иное растение, думая о том, что именно оно будет выбрано в следующем госзаказе!<br>
Победителём стаёт тот, кто выбрал верное растение самым первым! Победитель получает <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title">500</span> рубинов!<br>
Кто занял второе место получает <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title">250</span> рубинов и третье - <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title">100</span> рубинов<br/>
Все остальные участники получают по <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title">10</span> рубинов.<br>
Это простой способ заработать "халявные" рубины!
</div>
<div>
<img width="16" height="16" src="images/icons/present.png" alt="o"> <a href="?comphistory">Завершенные госконкурсы</a>
</div>
<div><img width="16" height="16" src="images/icons/trophy.png" alt="o"> <a href="?comp&in">Принять участие</a></div>
</div>
<div>
<? include_once 'inc/foot.php'; ?>